#### ssl::context::password_purpose

Purpose of PEM password.

    enum password_purpose

###### Values

for_reading

  The password is needed for reading/decryption.

for_writing

  The password is needed for writing/encryption.

| Copyright © 2003-2020 Christopher M. Kohlhoff Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)